# Uses of Interface
com.sun.source.tree.PackageTree

Packages that use PackageTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of PackageTree in com.sun.source.tree

Methods in com.sun.source.tree that return PackageTree
Modifier and Type
Method
Description
`PackageTree`
CompilationUnitTree.`getPackage()`
Returns the package tree associated with this compilation unit, or `null` if there is no package declaration.
Methods in com.sun.source.tree with parameters of type PackageTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitPackage(PackageTree node, P p)`
Visits a `PackageTree` node.

## Uses of PackageTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type PackageTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitPackage(PackageTree node, P p)`
Visits a `PackageTree` node.
`R`
TreeScanner.`visitPackage(PackageTree node, P p)`
Visits a `PackageTree` node.